Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

ncopy objects to selection set

1 REPLY 1
Reply
Message 1 of 2
robert06
278 Views, 1 Reply

ncopy objects to selection set

Hi,

 

I'm trying to make selection set of objects I create with ncopy, but can't lisp well enough to manipulate the selection set...

 

(defun c:ncc ()
(prompt "\select nested object(s) for copying to current layer")
(setq set1 (ssget "_:N" ||.......as i get into ncopy chain with ssget "_:N", the further settings applied here should be: Settings/Insert/(pause to select objects)/0,0,0/@||
(command "laycur" set1 "")
(command "chprop" set1 "" "lt" "bylayer" "c" "bylayer" "lw" "bylayer" "")
(princ)
)

 

thanks,

 

Robert

 

1 REPLY 1
Message 2 of 2
robert06
in reply to: robert06

To simplify my question, I'd like to have this for multiple new objects:

 

(defun c:ncc ()
(command "ncopy" "s" "i" "\\" "" "0,0,0" "@")
(command "laycur" "l" "")
(command "chprop" "l" "" "lt" "bylayer" "c" "bylayer" "lw" "bylayer" "")
(princ)
)

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost